<?php
require "include/bittorrent.php";
include "config.php";
dbconn(false);

stdhead("");
begin_frame("<span class=normalfont><b>Movie Center</b></span>");

$srcfile = $_POST["srcfile"];

?>
<center>
<object id="MediaPlayer" classid="CLSID:6BF52A52-394A-11D3-B153-00C04F79FAA6"
codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,5,715" standby="Loading Microsoft Windows Media Player components..." type="application/x-oleobject"  width="<?=$width ?>" height="<?=$height ?>">
<param name="URL" value="<?=$srcfile ?>"></object>

<form name="form1" method="post" action="">
<br><br><font size=2><b>Movie auswählen </b></font><select name="srcfile">
<option value=''> 
<? 
$Open=opendir("$vidir"); 
While ($Files=readdir($Open)) { 
if(strstr(strtolower($Files),".mpeg") || strstr(strtolower($Files),".mpg") || strstr(strtolower($Files),".asf")|| strstr(strtolower($Files),".wmv") || strstr(strtolower($Files),".mov")|| strstr(strtolower($Files),".avi")|| strstr(strtolower($Files),".mid" )|| strstr(strtolower($Files),".m3u" )|| strstr(strtolower($Files),".wav" )|| strstr(strtolower($Files),".mp3" ))  { 
print("<option value='$dir$Files'>$Files"); 
 } 
} 
?>
</select>
<INPUT TYPE=submit name="submit" VALUE="Anzeigen">
</form>
</center>

<script language="JavaScript">
<!--
if ( navigator.appName == "Netscape" ) {
navigator.plug-ins.refresh();
document.write("\x3C" + "applet MAYSCRIPT Code=NPDS.npDSEvtObsProxy.class")
document.writeln(" width=5 height=5 name=appObs\x3E \x3C/applet\x3E")
}
//-->
</script>

<?php
$ip = getenv("REMOTE_ADDR");
############ Einstellungen ############
$UPLOAD_PFAD = "media"; // Pfad wo die Dateien gespeichert werden. Am Ende darf kein '/' stehen. Der Ordner muss CHMOD 777 Rechte haben.
$maxsize = "10010485760"; // Maximale Uploadgrösse (in byte) | 1024 byte ~ 1 kb | 10024 byte ~ 10 kb | 100024 ~ 100 kb | 1000024 ~ 1 MB
$extensions = array(".wmv", ".avi", ".mpg", ".mpeg", ".mp3", ".WMV", ".AVI", ".MPG", ".MPEG", ".MP3"); // Erlaubte Dateitypen
$domain = "http://armyofhell.ath.cx"; // Domain MIT http:// aber OHNE / am Ende!!


############ Funktionen (KEINE ÄNDERUNGEN) ############
if($_POST['upload'] == true){
$name = $_FILES['datei']['name']; // Originalname der Datei
$tmp_name = $_FILES['datei']['tmp_name']; // Uploadname der Datei
$size = $_FILES['datei']['size']; // Größe der Datei
$type = $_FILES['datei']['type']; // Dateityp (.htm, .gif usw.)
$ext_tmp = explode(".", $name);
$ext = ".".$ext_tmp[(count($ext_tmp)-1)];
$html = "<head><script type=\"text/javascript\">function CopytoClipboard(object) {Copied = object.createTextRange();Copied.execCommand(\"Copy\");}</script></head>";

$neuerDateiname = $UPLOAD_PFAD."/".$name;

if(in_array($ext, $extensions))

if($size<=$maxsize && $size!=0)

if(copy($tmp_name, $neuerDateiname))
{
echo $html."<center><b>Die Datei <font color=#0000FF>".$name."</font> wurde erfolgreich hochgeladen.<br>Du mußt die Seite neu laden damit die Datei angezeigt wird.</b></center>"; // Bildanzeige
}
else
echo " Fehler beim Hochladen"; // Ausgabe des nicht erfolgreichen Uploads
else
echo " Die Größe der Datei darf nicht 0 KB oder mehr als 10010485760 KB betragen."; // Ausgabe eines fehlers, bei zu großer Datei
else
echo " Es sind nur Dateien mit der Endung wmv, avi, mpg, mpeg und mp3 zulässig!"; // Ausgabe bei Falschem Dateityp
}

?>
<br><table align="center" cellspacing="0" cellpadding="0" border="0" width="60%"><tr>
<td align="left"><img src="<?=$GLOBALS["PIC_BASE_URL"] . $GLOBALS["ss_uri"]?>/obenlinks.gif"></td>
<td align="center" width="100%" class="obenmitte"></td>
<td align="right"><img src="<?=$GLOBALS["PIC_BASE_URL"] . $GLOBALS["ss_uri"]?>/obenrechts.gif"></td>
</tr></table>

<form action="" enctype="multipart/form-data" method="post" name="form1">
<table align="center" width="60%" border="0" cellpadding="4" cellspacing="1" class="tableinborder">
<tr><td align="center" colspan="2" class="tabletitle"><span class="normalfont"><b>Eigenes Movie hochladen</b></span></td></tr>
<tr><td class="tableb"><b>Datei:</b></td><td class="tablea"><input type="file" name="datei" size="32" name="bilddatei"></td></tr>
<tr><td class="tableb"><b>Erlaubte Dateitypen:</b></td><td class="tablea"><b>wmv, avi, mpg, mpeg</b></td></tr>
<tr><td class="tableb"><b>Maximalgröße:</b></td><td class="tablea"><b>1 Gb</b></td></tr>
<tr><td align="center" colspan="2" class="tableb"><input type="submit" name="Submit" value="Datei hochladen"><input type="hidden" name="upload" value="true">
</table>
</form>

<table align="center" cellspacing="0" cellpadding="0" border="0" width="60%"><tr>
<td align="left"><img src="<?=$GLOBALS["PIC_BASE_URL"] . $GLOBALS["ss_uri"]?>/untenlinks.gif"></td>
<td align="center" width="100%" class="untenmitte"></td>
<td align="right"><img src="<?=$GLOBALS["PIC_BASE_URL"] . $GLOBALS["ss_uri"]?>/untenrechts.gif"></td>
</tr></table>

<center><p><b><font color="red" size="2">Wenn der Mediaplayer nicht angezeigt wird mußt du erst das Plugin installieren!</font></b></p></center>
<center><a href="mozactivex-ff-15.xpi"><img src="plugin.png" width="184" height="36" border="0" Title="Firefox Mediaplayer Plugin"></a></center>

<?
end_frame();
stdfoot();
?>